/***************************************************************************
 * Serial communication interface (RS232) in mpc5200
 * header file for serial.c
 * original source: Jung Soon Jang, May 2005
 * modified by: Rohit Pandita (AEM@UofM, Minneapolis)
 *
 * University of Minnesota 
 * Aerospace Engineering and Mechanics 
 *  2011 Regents of the University of Minnesota. All rights reserved.
 *
 * $Id: serial_mpc5200.h 253 2011-01-20 22:01:35Z murch $
 ***************************************************************************/

#ifndef SERIAL_MPC5200_H_
#define SERIAL_MPC5200_H_

/* Serial ports  */

// SERIAL_RS232
 #define SERIAL_PORT0 "/dev/termios0"
 #define SERIAL_PORT1 "/dev/termios1"
// SERIAL_TTL
#define SERIAL_PORT2 "/dev/termios2"		//TTL2
#define SERIAL_PORT3 "/dev/termios3"		//TTL1


/* Baud rate */
#define	BAUDRATE_9600	B9600
#define BAUDRATE_19200	B19200
#define BAUDRATE_38400	B38400
#define BAUDRATE_57600  B57600
#define BAUDRATE_76800	B76800
#define	BAUDRATE_115200	B115200


/* function prototypes */
int  open_serial(char* serial_port,int baudrate);

#endif

